# Name

HPL_pdgesvK2 Factor an N x N+1 matrix.

# Synopsis

`#include "hpl.h"`
`void` `HPL_pdgesvK2(` `HPL_T_grid *` `GRID`, `HPL_T_palg *` `ALGO`, `HPL_T_pmat *` `A` `);`

# Description

HPL_pdgesvK2 factors a N+1-by-N matrix using LU factorization with row partial pivoting. The main algorithm is the "right looking" variant with look-ahead. The lower triangular factor is left unpivoted and the pivots are not returned. The right hand side is the N+1 column of the coefficient matrix.

# Arguments

    GRID    (local input)                 HPL_T_grid *
            On entry,  GRID  points  to the data structure containing the
            process grid information.

    ALGO    (global input)                HPL_T_palg *
            On entry,  ALGO  points to  the data structure containing the
            algorithmic parameters.

    A       (local input/output)          HPL_T_pmat *
            On entry, A points to the data structure containing the local
            array information.

# See Also

HPL_pdgesv, HPL_pdgesv0, HPL_pdgesvK1, HPL_pdfact, HPL_binit, HPL_bcast, HPL_bwait, HPL_pdupdateNN, HPL_pdupdateNT, HPL_pdupdateTN, HPL_pdupdateTT.